Wymuszenie instalacji Cumulative Update mimo niezgodności wersji

 

Dzisiejszy artykuł jest o tym w jaki sposób wymusić instalację Cumulative Update mimo niezgodności instalowanej wersji z już wdrożoną. W tym wypadku mam na myśli sytuację, gdy chcemy np. zainstalować wersję starszą CU na nowszą już wdrożoną. Zakładam, że w tym miejscu zapala się wam czerwona lampka, gdyż jest to zachowanie co najmniej ryzykowne. Nie mniej czasem może być konieczne.
danger-cu

W wypadku wersji SharePoint 2010 i okolic wydania Service Packa 2 pojawiło się troszkę zamieszania z wydawanymi updatami. W związku z wycofaniem June 2013 Cumulative Update i jego ponowną publikacją wystąpiła dosyć kuriozalna sytuacja, gdy po wydaniu Service Packa 2 opublikowano nowy June CU, który powinien być wdrożony przed Service Packiem 2. Co więcej pierwotnie zalecane było wdrożenie po SP2 🙂

Niestety przez to zamieszanie jest możliwe, że przy wdrażaniu kolejnych Cumulative Updates spotkacie problem z  poniższym komunikatem:

The expected version of the product was not found on the system

CU nie jest w stanie wykryć prawidłowo, że może zostać wdrożone. Problem jest bardzo rzadki, ale możliwy do spotkania.

Wymuszenie instalacji

Możliwe jest natomiast wymuszenie instalacji mimo takiego konfliktu. Nie mniej bądźcie bardzo ostrożni i wykonujcie tą operację tylko, gdy jesteście w 100% pewni, że musicie wymusić taką operację. Następnie sprawdźcie to jeszcze raz, gdyż wdrożenie CU nie jest łatwo odwracalne. 

ubersrv2010-kb9999999-fullfile-x64-glb.exe PACKAGE.BYPASS.DETECTION.CHECK=1

Przy wywołaniu instalacji CU konieczne jest dodanie parametru PACKAGE.BYPASS.DETECTION.CHECK=1.

Bądźcie rozważni w używaniu powyższego rozwiąznia.

 

Źródło: http://blog.zebsadiq.com/post/Bypass-version-check-when-installing-SharePoint-CU.aspx

Leave a Reply

Your email address will not be published. Required fields are marked *